Skip to main content
POST
/
contract
/
v1
/
monthly-variable-compensations
Create a monthly variable compensation
curl --request POST \
  --url https://api-{region}.sesametime.com/contract/v1/monthly-variable-compensations \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "salaryCompensationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "date": "2024-01-15",
  "amount": 500
}
'
{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "salaryCompensationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "amount": 500,
    "date": "2024-01-15",
    "createdAt": "2020-01-01T10:00:00+01:00",
    "updatedAt": "2020-01-01T10:00:00+01:00"
  }
}

Authorizations

Authorization
string
header
required

API token obtained from Sesame HR Dashboard > Settings > Integrations > API

Body

application/json
salaryCompensationId
string<uuid>
required

Salary compensation ID (employee-compensation assignment)

date
string<date>
required

Date of the compensation (YYYY-MM-DD). Must be a valid pay day.

Example:

"2024-01-15"

amount
number
required

Compensation amount for the month

Example:

500

Response

Successful response

data
object